#include <stdio.h>
#include <stdlib.h>

static void
gen_word (FILE *fout, int len)
{
  int i;

  for (i = 0; i < len; i++)
    fprintf (fout, "%c", 'a' + rand () % 26);
  fprintf (fout, "\n");
}

static void
gen (FILE *fout, int words, int prob_long)
{
  int i;

  for (i = 0; i < words; i++)
    gen_word (fout, rand () % 100 < prob_long ? 15 + rand () % 15 : 1 + rand () % 10);
}

static const struct
{
  char *name;
  int words;
  int prob_long;
} tog[7] =
{
    {"04.in", 200, 5},
    {"05.in", 500, 5},
    {"06.in", 500, 20},
    {"07.in", 1000, 10},
    {"08.in", 10000, 3},
    {"09.in", 95000, 5},
    {"10.in", 95000, 10}
};

int main (void)
{
  FILE *fout;
  int i;

  srand (1234);

  fout = fopen ("01.in", "w");
  fprintf (fout, "test\n");
  fclose (fout);

  fout = fopen ("02.in", "w");
  fprintf (fout, "Good now sit down and tell me he that knows\nWhy this same strictandmost observantwatch\nSo nightly toils the subject of the land\nAnd why such daily cast of brazen cannon\nAnd foreign mart for implements of war\nWhy such impress of shipwrights whose sore task\n");
  fclose (fout);

  fout = fopen ("03.in", "w");
  fprintf (fout, "Whereas recognition of the inherent dignity\nand of the equal and inalienable rights of all\nmembers of the human family is the foundation of\nfreedom justice and peace in the world\nWhereas disregard and contempt for human\nrights have resulted in barbarous acts\nwhich have outraged\n");
  fclose (fout);

  for (i = 0; i < 7; i++)
    {
      fout = fopen (tog[i].name, "w");
      gen (fout, tog[i].words, tog[i].prob_long);
      fclose (fout);
    }

  return 0;
}
